---
navigation:
    parent: epp_intro/epp_intro-index.md
    title: Config Modifier
    icon: extendedae:config_modifier
categories:
- extended items
item_ids:
- extendedae:config_modifier
---

# Config Modifier

Config Modifier is a tool for bulk config inventory modification.

<ItemImage id="extendedae:config_modifier" scale="4"></ItemImage>

Right click it to open its GUI.

## Usage

Config Modifier can modify things like interface's config inventory by its settings quickly, like setting the config items 
amount to the maximum value or just removing all of them.

You can click the target device(block or subpart) in world with Config Modifier to modify its config.

## Settings

It has two main settings, the **modification mode** and **modification amount(X)**.

You can click the button to change mode.

![GUI](../pic/cm.png)

- Add/Subtract/Multiply/Divide: Add/Subtract/Multiply/Divide the number of config amount by X.
- Maximize: Set the number of config amount to the maximum value.
- Minimize: Set the number of config amount to the minimum value.
- Set: Set the number of config amount to X.
- Clear: Clear all config.
